sb800 support, non CIMx wrapper way
bimini mainboard should do following modification to use 'non CIMx wrapper way' sb800 code

have two versions may be confusing, it doesn't need to checked into the tree

Index: trunk/src/mainboard/amd/bimini_fam10/Kconfig
===================================================================
--- trunk.orig/src/mainboard/amd/bimini_fam10/Kconfig
+++ trunk/src/mainboard/amd/bimini_fam10/Kconfig
@@ -11,7 +11,7 @@ config BOARD_SPECIFIC_OPTIONS # dummy
 	select QRANK_DIMM_SUPPORT
 	select NORTHBRIDGE_AMD_AMDFAM10
 	select SOUTHBRIDGE_AMD_RS780
-	select SOUTHBRIDGE_AMD_CIMX_WRAPPER_SB800
+	select SOUTHBRIDGE_AMD_SB800
 	select SUPERIO_ITE_IT8718F
 	select BOARD_HAS_FADT
 	select HAVE_BUS_CONFIG
Index: trunk/src/mainboard/amd/bimini_fam10/devicetree.cb
===================================================================
--- trunk.orig/src/mainboard/amd/bimini_fam10/devicetree.cb
+++ trunk/src/mainboard/amd/bimini_fam10/devicetree.cb
@@ -31,7 +31,7 @@ chip northbridge/amd/amdfam10/root_compl
 					register "gfx_reconfiguration" = "1"
 					register "gfx_link_width" = "0"
 				end
-				chip southbridge/amd/cimx_wrapper/sb800 # it is under NB/SB Link, but on the same pci bus
+				chip southbridge/amd/sb800 # it is under NB/SB Link, but on the same pci bus
 					device pci 11.0 on end # SATA
 					device pci 12.0 on end # USB
 					device pci 12.2 on end # USB
@@ -65,7 +65,7 @@ chip northbridge/amd/amdfam10/root_compl
 					device pci 16.2 on end # USB
 					register "boot_switch_sata_ide" = "0"	# 0: boot from SATA. 1: IDE
 					register "gpp_configuration" = "4"
-				end	#southbridge/amd/cimx_wrapper/sb800
+				end	#southbridge/amd/sb800
 			end #  device pci 18.0
 
 			device pci 18.0 on end
Index: trunk/src/mainboard/amd/bimini_fam10/romstage.c
===================================================================
--- trunk.orig/src/mainboard/amd/bimini_fam10/romstage.c
+++ trunk/src/mainboard/amd/bimini_fam10/romstage.c
@@ -45,9 +45,7 @@
 #include <cpu/amd/mtrr.h>
 #include "northbridge/amd/amdfam10/setup_resource_map.c"
 #include "southbridge/amd/rs780/early_setup.c"
-#include <SbEarly.h>
-#include <SBPLATFORM.h> /* SB OEM constants */
-#include <southbridge/amd/cimx_wrapper/sb800/smbus.h>
+#include "southbridge/amd/sb800/early_setup.c"
 #include "northbridge/amd/amdfam10/debug.c"
 
 static void activate_spd_rom(const struct mem_controller *ctrl)
@@ -101,8 +99,8 @@ void cache_as_ram_main(unsigned long bis
 		enumerate_ht_chain();
 
 		//enable port80 decoding and southbridge poweron init
-		sb_poweron_init();
-		SbStall(200); //wait 200us, bimini must wait otherwise need to reset.
+		sb800_lpc_port80();
+		inb(0x80); //wait sometime before post to port80, otherwise reset was need.
 	}
 
 	post_code(0x30);
@@ -115,8 +113,14 @@ void cache_as_ram_main(unsigned long bis
 	post_code(0x32);
 
 	enable_rs780_dev8();
+	sb800_lpc_init();
 
 	uart_init();
+
+#if CONFIG_USBDEBUG
+        sb800_enable_usbdebug(CONFIG_USBDEBUG_DEFAULT_PORT);
+        early_usbdebug_init();
+#endif
 	console_init();
 	printk(BIOS_DEBUG, "\n");
 
@@ -171,6 +175,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* run _early_setup before soft-reset. */
 	rs780_early_setup();
+	sb800_early_setup();
 
 #if CONFIG_SET_FIDVID == 1
 	msr = rdmsr(0xc0010071);
@@ -231,6 +236,7 @@ void cache_as_ram_main(unsigned long bis
 //	die("After MCT init before CAR disabled.");
 
 	rs780_before_pci_init();
+	sb800_before_pci_init();
 
 	post_code(0x42);
 	post_cache_as_ram();	// BSP switch stack to ram, copy then execute LB.
